<div>
    <div class="data-table" [ngStyle]="getStyle()"  [attr.role]="'table'"> <!-- -->
        <div class="item-grid column-header" *ngFor="let key of displayedProperties" 
        [tabindex]="0" [attr.role]="'columnheader'"> 
        <span class="column-title" [ngClass]="{'active': sortValue === key}">{{ key }}</span>
      </div> 
      <ng-container *ngFor="let element of attributesDescr; let indexData = index;">
        <div [class]="'item-grid is-first' +  ' item-grid-' + indexData"
           [attr.role]="'cell'">
          <span class="data-property-value">{{element.column_name}} <span *ngIf="element.is_pk">(Clé primaire)</span></span>
        </div>
        <div [class]="'item-grid' +  ' item-grid-' + indexData"
           [attr.role]="'cell'">
          <span class="data-property-value">{{element.column_type}} </span>
        </div>
        <div [class]="'item-grid' +  ' item-grid-' + indexData"
           [attr.role]="'cell'">
          <span class="data-property-value"><span *ngIf="element.comment!=null">{{element.comment}}</span> </span>
        </div>
      </ng-container>
    </div>
    <!-- 
    <div class="attribute" *ngFor="let attr of attributesDescr" [title]="attr.comment">
        <span class="attributeName">{{attr.column_name}} <span *ngIf="attr.is_pk">(Clé primaire)</span></span> <span class="attributeType">{{attr.column_type}}</span>
    </div>
    -->
</div>
